Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - libsystemd-standalone

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: libsystemd-standalone 231-1

Git Clone URL: https://aur-dev.archlinux.org/libsystemd-standalone.git (read-only)
Package Base: libsystemd-standalone
Description: Standalone systemd libs
Upstream URL: http://www.freedesktop.org/wiki/Software/systemd
Licenses: GPL2, MIT, LGPL2.1
Provides: libsystemd, libsystemd.so
Submitter: fbt
Maintainer: fbt
Last Packager: fbt
Votes: 3
Popularity: 0.000000
First Submitted: 2014-03-08 18:39
Last Updated: 2016-08-26 16:56

Required by (85)

Sources (1)

Latest Comments

1 2 Next › Last »

Alad commented on 2016-10-10 07:43

Well it's mainly for some Arch packages (users set via sysusers and temporary files via tmpfiles), e.g.:

https://git.archlinux.org/svntogit/packages.git/tree/trunk/lighttpd.tmpfiles?h=packages/lighttpd

fbt commented on 2016-10-10 01:22

Are they even useful without systemd? I personally just use a simple binary that does nothing but tells you what it has been called as.

Alad commented on 2016-09-05 12:53

Since you're building systemd anyway, what do you think on adding a split package with systemd-sysvuser and systemd-tmpfiles? cf. https://aur.archlinux.org/packages/eudev-systemd

fbt commented on 2016-03-05 20:22

That has zero to do with this package. Nil. Zilch.

rafaelff commented on 2016-03-05 19:10

@fbt: running "jhbuild sysdeps" will report what are the system dependencies for the list of 'moduleset' defined for the user. If they are provided in PKGBUILD is another topic. By setting moduleset 'gnome-world' and trying to build 'gst-debugger', it requires libsystemd-login.pc, libsystemd-daemon.pc and another one...

fbt commented on 2016-03-04 19:17

Ugh. libsystemd-login is provided by libsystemd on systems that use systemd. This package is for systemd-less systems basically, so forget about it.

Powersource commented on 2016-03-04 16:03

The reason I was trying to install this was because of this package failing to build. See the comment https://aur.archlinux.org/packages/lib32-libnm-glib46/

fbt commented on 2016-03-04 14:38

https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=jhbuild

That does not have dependencies on libsystemd-*. What conflict?
These libs are just the standalone versions of the ones in libsystemd, split for convenience of swapping pieces of that package (like libudev-compat from vdev instead of libudev). No packages should ever depend on specifically these.

rafaelff commented on 2016-03-04 14:16

JHBuild requires this package to be installed, but this conflict makes me worry. Maintainer, please double check this conflict, as I want to avoid messing up my system...

fbt commented on 2016-03-01 09:11

There is a problem with conflicting with systemd.
Every single combination of conflicts that I've tried ends up excluding some combination of packages :(

You shouldn't be installing this package with systemd anyway, just use libsystemd from the repos.